package BadCarDesign;
/**
 * A bad design for a Car class.  This class would be
 * better implemented using Composition.
 * 
 * @author Grant Braught
 * 
 */
public class Car
{
    private String make;
    private String model;
    private String color;
    private int year;
    
    private String frontWheelManufacturer;
    private int frontWheelSize;  // in inches
    private int frontWheelPressure; // in pounds
    
    private String rearWheelManufacturer;
    private int rearWheelSize; // in inches
    private int rearWheelPressure; // in pounds

    private String radioManufacturer;
    private int radioPower; // in watts
    private boolean radioHasCDChanger;
    private boolean radioHasCassette;
    private boolean radioPlaysMP3;
    
    private int engineSize; // in liters
    private int enginePower; // in horsepower
    private int engineCylinders;
    
    /*
     * Constructors, accessors and mutators intentionally
     * omitted from this example.
     */
}
